
if(select(4,GetBuildInfo()) >= 30300) then

   local zone = "Icecrown Citadel"

--en_zone, debuffID, order, icon_priority, color_priority, timer, stackable, color, default_disable, noicon

--Lord Marrowgar
   GridStatusRaidDebuff:BossName(zone, 10, "Lord Marrowgar")
   GridStatusRaidDebuff:Debuff(zone, 70823, 11, 5, 5, true) --Coldflame
   GridStatusRaidDebuff:Debuff(zone, 69065, 12, 8, 5) --Impaled
   GridStatusRaidDebuff:Debuff(zone, 70835, 13, 5, 5) --Bone Storm

--Lady Deathwhisper
   GridStatusRaidDebuff:BossName(zone, 20, "Lady Deathwhisper")
   GridStatusRaidDebuff:Debuff(zone, 72109, 21, 5, 5) --Death and Decay
   GridStatusRaidDebuff:Debuff(zone, 71289, 22, 9, 9, true) --Dominate Mind
   GridStatusRaidDebuff:Debuff(zone, 71204, 23, 4, 4, true, true) --Touch of Insignificance
   GridStatusRaidDebuff:Debuff(zone, 67934, 24, 5, 5, true) --Frost Fever
   GridStatusRaidDebuff:Debuff(zone, 71237, 25, 5, 5, true, false, nil, true) --Curse of Torpor
   GridStatusRaidDebuff:Debuff(zone, 72491, 26, 5, 5, true) --Necrotic Strike

--Gunship Battle
   GridStatusRaidDebuff:BossName(zone, 30, "Icecrown Gunship Battle")
   GridStatusRaidDebuff:Debuff(zone, 69651, 31, 5, 5, true) --Wounding Strike

--Deathbringer Saurfang
   GridStatusRaidDebuff:BossName(zone, 40, "Deathbringer Saurfang")
   GridStatusRaidDebuff:Debuff(zone, 72293, 41, 6, 8, false, false, {r=1,g=0,b=0}) --Mark of the Fallen Champion
   GridStatusRaidDebuff:Debuff(zone, 72442, 42, 8, 5, true) --Boiling Blood
   GridStatusRaidDebuff:Debuff(zone, 72449, 43, 5, 5, true) --Rune of Blood
   GridStatusRaidDebuff:Debuff(zone, 72769, 44, 5, 5, true) --Scent of Blood (heroic)

end
